<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\Length;
use Symfony\Component\Validator\Constraints\NotNull;
use Symfony\Component\Validator\Constraints\Type;

class SearchPickUpType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('zipCode', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.postcode',
                'constraints' => [
                    new NotNull(),
                    new Length([
                        'min' => 5,
                        'max' => 5,
                    ]),
                    new Type([
                        'type' => 'numeric',
                    ]),
                ],
            ])
            ->add('city', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.city',
                'constraints' => [
                    new NotNull(),
                ],
            ])
            ->add('address', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.street',
                'constraints' => [
                    new NotNull(),
                ],
            ])
        ;
    }
}
